## xlibre 7.7+27

=== debian/changelog ===
xlibre (1:7.7+27) unstable; urgency=medium

  * Restore the original sysvinit script

 -- Aitor <aitor_czr@gnuinos.org>  Tue, 14 Jan 2025 21:37:24 +0100
