=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_clean:
	$(MAKE) -C xsf-docs clean

override_dh_auto_build:
	$(MAKE) -C xsf-docs

override_dh_install:
	$(MAKE) -C xsf-docs install DESTDIR=$(CURDIR)/debian/xserver-xlibre/usr/share/doc/xorg
	dh_install

override_dh_installinit-indep:
	dh_installinit --no-start --init-script=x11-common

override_dh_fixperms-indep:
	dh_fixperms
	chown root:root debian/xlibre-x11-common/etc/X11/Xreset
	chmod 755 debian/xlibre-x11-common/etc/X11/Xreset
	chown root:root debian/xlibre-x11-common/etc/X11/Xsession
	chmod 755 debian/xlibre-x11-common/etc/X11/Xsession

# vim:set noet ai sts=8 sw=8 tw=0:
